> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# The Transaction object

<div className="xl:hidden">
  <CodeGroup>
    ```json The Transaction object theme={null}
    {
        "id": "txn_Bn4hF4izCWt29CHG1jijO5YobJKdy8Of",
        "object": "transaction",
        "amount": 1842,
        "charging_session": "cs_JOfFUrmbtCNKK0fA5OAuGy18dxlrNSp8",
        "created": "2026-04-01T03:27:23.812Z",
        "currency": "eur",
        "description": "Charge for charging session cs_JOfFUrmbtCNKK0fA5OAuGy18dxlrNSp8",
        "driver": "drv_xCY8p1p5O6tFt0ccymP2GAQ3Mtd3qfky",
        "fleet": "flt_sAnhKFeQ0AVJkLyxdA39GAIrOzGtDFC2",
        "payment_method": "pm_9lA2pgJi9fkAiAAGBAABCIO9qASX5egE",
        "status": "succeeded",
        "type": "charge",
        "vehicle": "veh_r9o8w3cvwxvKKkBRIcoxvUCJgiUYqnhb"
    }
    ```
  </CodeGroup>
</div>

<div className="hidden xl:block">
  <ResponseExample>
    ```json The Transaction object theme={null}
    {
        "id": "txn_Bn4hF4izCWt29CHG1jijO5YobJKdy8Of",
        "object": "transaction",
        "amount": 1842,
        "charging_session": "cs_JOfFUrmbtCNKK0fA5OAuGy18dxlrNSp8",
        "created": "2026-04-01T03:27:23.812Z",
        "currency": "eur",
        "description": "Charge for charging session cs_JOfFUrmbtCNKK0fA5OAuGy18dxlrNSp8",
        "driver": "drv_xCY8p1p5O6tFt0ccymP2GAQ3Mtd3qfky",
        "fleet": "flt_sAnhKFeQ0AVJkLyxdA39GAIrOzGtDFC2",
        "payment_method": "pm_9lA2pgJi9fkAiAAGBAABCIO9qASX5egE",
        "status": "succeeded",
        "type": "charge",
        "vehicle": "veh_r9o8w3cvwxvKKkBRIcoxvUCJgiUYqnhb"
    }
    ```
  </ResponseExample>
</div>

This object represents a transaction in Charge. It records a finalized financial event linked to charging activity.

## Attributes

<ResponseField name="id" type="string">
  Unique identifier for the object.
</ResponseField>

<ResponseField name="amount" type="integer">
  Total amount of the transaction in the smallest currency unit.
</ResponseField>

<ResponseField name="charging_session" type="string" post={[<Tooltip tip="This can be expanded into an object with the expand request parameter."><a href="/expand" className="charge-expandable-label">Expandable</a></Tooltip>]}>
  ID of the charging session associated with this transaction.
</ResponseField>

<ResponseField name="currency" type="string">
  ISO 4217 currency code used for this transaction.
</ResponseField>

<ResponseField name="payment_method" type="string" post={[<Tooltip tip="This can be expanded into an object with the expand request parameter."><a href="/expand" className="charge-expandable-label">Expandable</a></Tooltip>]}>
  ID of the payment method used for the transaction, if any.
</ResponseField>

<ResponseField name="status" type="string">
  Current status of the transaction.

  Available options: `succeeded`, `failed`, `pending`
</ResponseField>

<ResponseField name="type" type="string">
  Type of transaction.

  Available options: `charge`, `refund`, `adjustment`
</ResponseField>

## More attributes

<ResponseField name="object" type="string">
  String representing the object's type.
</ResponseField>

<ResponseField name="created" type="string">
  Time at which the transaction was created. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ResponseField>

<ResponseField name="description" type="string | null">
  Optional human-readable description of the transaction.
</ResponseField>

<ResponseField name="driver" type="string" post={[<Tooltip tip="This can be expanded into an object with the expand request parameter."><a href="/expand" className="charge-expandable-label">Expandable</a></Tooltip>]}>
  ID of the driver associated with the transaction, if any.
</ResponseField>

<ResponseField name="fleet" type="string | null">
  ID of the fleet associated with the transaction, if any.
</ResponseField>

<ResponseField name="vehicle" type="string" post={[<Tooltip tip="This can be expanded into an object with the expand request parameter."><a href="/expand" className="charge-expandable-label">Expandable</a></Tooltip>]}>
  ID of the vehicle associated with the transaction, if any.
</ResponseField>
